semanage-interface(8)

NAME
semanage-interface - SELinux Policy Management network interface tool

SYNOPSIS
semanage interface [-h] [-n] [-N] [-S STORE] [ --add -t TYPE -r RANGE interface | --delete interface | --deleteall | --extract | --list [-C] | --modify -t TYPE -r RANGE interface ]

DESCRIPTION
semanage is used to configure certain elements of SELinux policy without requiring modification to or recompilation from policy sources. semanage interface controls the labels assigned to network interfaces.

OPTIONS

-h, --help
    Show this help message and exit

-n, --noheading
    Do not print heading when listing the specified object type

-N, --noreload
    Do not reload policy after commit

-S STORE, --store STORE
    Select an alternate SELinux Policy Store to manage

-C, --locallist
    List local customizations

-a, --add
    Add a record of the specified object type

-d, --delete
    Delete a record of the specified object type

-m, --modify
    Modify a record of the specified object type

-l, --list
    List records of the specified object type

-E, --extract
    Extract customizable commands, for use within a transaction

-D, --deleteall
    Remove all local customizations

-t TYPE, --type TYPE
    SELinux type for the object

-r RANGE, --range RANGE
    MLS/MCS Security Range (MLS/MCS Systems only) SELinux Range for SELinux login mapping defaults to the SELinux user record range. SELinux Range for SELinux user defaults to s0.

EXAMPLE
list all interface definitions
# semanage interface -l
Assign type netif_t and MLS/MCS range s0:c0.c1023 to interface eth0
# semanage interface -a -t netif_t -r s0:c0.c1023 eth0

SEE ALSO
selinux(8), semanage(8)

AUTHOR
This man page was written by Daniel Walsh <dwalsh@redhat.com>